Get the Stripe account
GET
/api/v1/commerce/stripe
const url = 'https://digize.com/api/v1/commerce/stripe';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://digize.com/api/v1/commerce/stripe \ --header 'x-api-key: <x-api-key>'The Stripe Connect Express account the store takes payments with, if it’s connected, and whether charges and payouts work.
Needs the settings:read permission.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Done
Media typeapplication/json
object
ready
required
Whether this server has the platform’s Stripe key, so Connect works.
boolean
account
required
Any of:
object
id
required
string
chargesEnabled
required
boolean
payoutsEnabled
required
boolean
detailsSubmitted
required
boolean
country
required
string | null
email
required
string | null
payoutLast4
required
string | null
livemode
required
boolean
connectedBy
required
string
connectedAt
required
string format: date-time
null
Example generated
{ "ready": true, "account": { "id": "example", "chargesEnabled": true, "payoutsEnabled": true, "detailsSubmitted": true, "country": "example", "email": "example", "payoutLast4": "example", "livemode": true, "connectedBy": "example", "connectedAt": "2026-04-15T12:00:00Z" }}What was sent isn’t valid (invalid).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}No key, or one that’s unknown, off or expired.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}The key doesn’t have the permission this needs.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}Nothing has that id (not_found).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}Over the rate limit; see retry-after.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
object
key
additional properties
any
Example
{ "error": { "code": "invalid" }}